Subject: Re: [Pce] I-D Action: draft-carrozzo-pce-pcep-route-price-00.txt

From: Gino Carrozzo <[email-masked]>
Date: Sun, 04 Mar 2012 09:21:53 +0100

Dear all

we've just posted a new I-D about extending PCEP with a new route 
information, the price.
As explained in the I-D, the route price is an additional info with 
respect to the route cost(s) currently well covered by existing PCE RFCs

And this extension seems to us quite useful in those scenarios where a 
Service Plane interfaces to PCE for elaborating its route offers.

Your feedbacks and comments would be very much appreciated.

br
Gino

On 04/03/2012 9.06, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
> 	Title           : PCEP extensions for the computation of route offers with price
> 	Author(s)       : Gino Carrozzo
>                            Giacomo Bernini
>                            Giada Landi
> 	Filename        : draft-carrozzo-pce-pcep-route-price-00.txt
> 	Pages           : 17
> 	Date            : 2012-03-04
>
>     The PCE defined in RFC4655 is a functional entity generally confined
>     in the control plane to elaborate explicit optimal routes with
>     related costs to be installed as [G]MPLS tunnels/LSPs.  The resulting
>     route cost(s)/metric(s) are Traffic Engineering indicators used by
>     the network administrator (carrier) to optimize the usage of its
>     network resources.
>
>     In this document a framework for the usage of PCE in cooperation with
>     the Network Service and Business Plane (NSBP) is proposed, along with
>     related PCEP extensions.  The NSBP invokes this extended PCE (service
>     PCE) to trigger the computation of network service offers with
>     related price information.  The price of a network connectivity
>     service generally depends on strategic factors, but it could also be
>     influenced by the amount of mobilized network resources (along the
>     route), the ingress/egress interfaces/PoPs, etc.  Therefore, it could
>     be provided by an extended service-PCE as an additional route
>     information.
>
>     This document focuses on the extensions to the PCEP protocol in
>     support of the computation of route prices for intra- and inter-
>     domain network connectivity services.  Mechanisms for elaborating and
>     retrieving price information in the PCE are vendor-specific and out
>     of the scope of this document.
>
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-carrozzo-pce-pcep-route-price-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-carrozzo-pce-pcep-route-price-00.txt
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: [email-masked]
Date: Thu, 22 Mar 2012 17:08:04 +0800

Hi Gino

An interesting idea.

If my understanding is not wrong, the draft describes the architecture and 
PCEP extensions that the NSBP (PCC) sends out the route offer computation 
request to Service-PCE.

Since that the NMS (PCC) sends out the PCReq messages to PCE is described 
in RFC4655, What the procedure looks like if NMS is also involved? or NMS 
will not appear when the route offer computation is adopted? 

Sorry that I am not familar with the TMF IPSPHERE Framework, hope your 
clarification.

Regards

Fei

Gino Carrozzo <[email-masked]> 
发件人:  [email-masked]
2012-03-04 16:21

收件人
[email-masked]
抄送

主题
Re: [Pce] I-D Action: draft-carrozzo-pce-pcep-route-price-00.txt

Dear all

br
Gino

On 04/03/2012 9.06, [email-masked] wrote:
>                Filename        : 
draft-carrozzo-pce-pcep-route-price-00.txt

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

---

From: Gino Carrozzo <[email-masked]>
Date: Mon, 26 Mar 2012 15:49:38 +0200

Hi Fei

thanks for your comments.

You captured the core I-D concept: a Service-PCE for route offers plus
(bare minimum) PCEP extensions to describe prices for those offers.

You're right, management-based PCE usage by NMS has also been sketched
in RFC4655 sec. 5.5, but in a context which seems to us still more
applicable to the final service provisioning than the preliminary
service offering (for negotiation).
Our I-D aims at targeting this second case, by adding a route price for
the customer into the PCE response: thus, the ERO is not the sole
computation result of interest at PCC.

In terms of framework, surely the NSBP can include functionalities
typically provided by NMS/OSS for a single routing domain (e.g. the
FCAPS). It'd not be the case in multi-domain cases.
To this purpose, TMF IPSphere can be just a reference abstract service
framework, and the Service PCE can provide a routing functionality also
for the route offering/negotiation phase.

Hope this clarifies a bit.

br
Gino
On 22/03/2012 10:08, [email-masked] wrote:
>
> Hi Gino
>
> An interesting idea.
>
> If my understanding is not wrong, the draft describes the architecture
> and PCEP extensions that the NSBP (PCC) sends out the route offer
> computation request to Service-PCE.
>
> Since that the NMS (PCC) sends out the PCReq messages to PCE is
> described in RFC4655, What the procedure looks like if NMS is also
> involved? or NMS will not appear when the route offer computation is
> adopted?
>
> *Gino Carrozzo <[email-masked]>*